QGIS Application - Feature request #1099
button to add class graduated symbol dialog
2008-05-19 11:49 AM - Marco Hugentobler

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 11159
Description

It would be useful to have a button that allows adding additional classes in unique value and graduated symbol dialog

Associated revisions

Revision 9eb0c669 - 2008-05-22 08:52 PM - Juirgen Fischer

enhance unique value dialog:

- allow selection of multiple classes

- new 'add class' button (fixes #1099)

- new 'reset colors' button to reset the color of selected/all classes to white

- new 'randomize colors' button to randomly set colors of selected/all classes
- 'remove classes' removes selected classes

- change common attributes for multiple selected classes at once

- allow renaming of classes

- 'Classify' now adds missing instead of recreating all classes

- used QMap instead for std::map for classes

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8493 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision d31074c2 - 2008-05-22 08:52 PM - Jiirgen Fischer

enhance unique value dialog:

- allow selection of multiple classes

- new 'add class' button (fixes #1099)

- new 'reset colors' button to reset the color of selected/all classes to white

- new 'randomize colors' button to randomly set colors of selected/all classes
- 'remove classes' removes selected classes

- change common attributes for multiple selected classes at once

- allow renaming of classes

- 'Classify' now adds missing instead of recreating all classes

- used QMap instead for std::map for classes

git-svn-id: http://svn.osgeo.org/qgis/trunk@8493 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

History

#1 - 2008-05-19 12:40 PM - cgsbob -
http://svn.osgeo.org/qgis/trunk/qgis@8493
http://svn.osgeo.org/qgis/trunk@8493

Replying to mhugent:

It would be useful to have a button that allows adding additional classes in unique value and graduated symbol dialog
It would be great if ticket #1075 could be merged into your ticket.

#2 - 2008-05-21 05:32 PM - Jiirgen Fischer
- Status changed from Open to In Progress

#3 - 2008-05-21 06:23 PM - Jiirgen Fischer

I'm almost done with following change of the unique value dialog:
- allow selection of multiple classes
-add a class
- remove selected classes
- add missing classes (classify) without overwriting settings of existing classes
- randomize colors of all/selected classes
- set color of all/selected classes to white
- change setting of selected classes at once:
- all common settings can be changed
- all uncommon settings are disabled

- edit class names

#4 - 2008-05-22 12:04 PM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from In Progress to Closed

'add class' among other things added to unique value dialog in commit:d31074c2 (SVN r8494)

#5 - 2008-12-17 03:04 AM - bjpfei -
- Resolution deleted (fixed)
- Status changed from Closed to Feedback

Replying to mhugent:

| It would be useful to have a button that allows adding additional classes in unique value and graduated symbol dialog
| 'add class' among other things added to unique value dialog in commit:d31074c2 (SVN r8494)

I'm not totally sure if I'm right but I still miss the possibility to add a class in graduated symbol. It would be great to have there the same possiblities as in
unique value. I'm using .

Thanks.

best regards
#6 - 2008-12-27 10:57 AM - Jiirgen Fischer
- Status changed from Feedback to Open

#7 - 2009-07-17 06:11 AM - Giovanni Manghi

- Resolution set to fixed
- Status changed from Open to Closed

For what | see now (at least in qgis >= 1.1), it is possible to add classes in both unique value and graduated symbol dialogs. Closing, but reopen if

necessary.
